2019-04-09 23:37:10 UTC
72.1 MB
test
DOCKER_VERSION19.03.0-beta1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:bdf0201b3a056acc4d6062cc88cd8a4ad5979983bfb640f15a145e09ed985f92 - 3.65% (2.63 MB)
[#001] sha256:38f114998adb0933d6bd188536093008212eb087b211bbb06c806f5066d250a4 - 0.4% (295 KB)
[#002] sha256:21134b1a9e68ce4374901b7a552e521e3860c228fe02de4d88f249f924fb1a28 - 0.0% (155 Bytes)
[#003] sha256:d1cd3632d43cce248b1578bd615adafb843192ec4e04152d6adbe7a826b79ea6 - 83.68% (60.3 MB)
[#004] sha256:bd760c6fedb5f385892b4babe3a2acf01e4bd5fd8e303f3e391532e421b08674 - 0.0% (542 Bytes)
[#005] sha256:475113ce63a0ac48deaa7a1acb7243d54ef9b99909d45e634d555b79a944a6eb - 0.0% (735 Bytes)
[#006] sha256:9bd84975669ef228c44e699d3ebe89b2ee5cf78384c833f1a7c8d5ef2fb9e1c4 - 12.27% (8.84 MB)
/bin/sh -c #(nop) ADD file:2e3a37883f56a4a278bec2931fc9f91fb9ebdaa9047540fe8fde419b84a1701b in /
2019-04-09 23:20:18 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-04-09 23:20:33 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-04-09 23:20:40 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-04-09 23:36:43 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-04-09 23:36:43 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.0-beta1
2019-04-09 23:36:51 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-04-09 23:36:51 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-04-09 23:36:51 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-04-09 23:36:51 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-04-09 23:36:51 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-04-09 23:37:10 UTC/bin/sh -c apk add --no-cache git openssh-client
2019-04-10 08:06:17 UTC
67.4 MB
test
DOCKER_VERSION19.03.0-beta1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9d34ec1d9f3e63864b68d564a237efd2e3778f39a85961f7bdcb3937084070e1 - 3.6% (2.43 MB)
[#001] sha256:1eaf18aa0ad2793a2358b7820ae250b479a353a42c5e330492e5bc688d1362ac - 0.43% (295 KB)
[#002] sha256:8a21c36652b0310a7c1d62cec75356af2712fdafc37084ea42060aacac4d410e - 0.0% (153 Bytes)
[#003] sha256:edd8f8cec9541da1f4aa940fc5c4c6512f702b0cf1f30b88272ae0514db6ced6 - 83.56% (56.3 MB)
[#004] sha256:93e65fcbb935b3eca892eb884f57c4cc0eee633181f786f8f8fd383203549319 - 0.0% (542 Bytes)
[#005] sha256:7579fca4c7fdc15b8b26053bf80c30b192c28d98a95b94f397e919cc2ff87020 - 0.0% (736 Bytes)
[#006] sha256:29a0293d31245d64a374db90301d932d30590e62702581384af4e4da197c4991 - 12.41% (8.36 MB)
/bin/sh -c #(nop) ADD file:a436c215187a8aeeb53f8266f96bd40adc3856bb6dc3fe766542e69831ffa7c9 in /
2019-04-10 07:49:49 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-04-10 07:50:15 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-04-10 07:50:17 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-04-10 08:05:44 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-04-10 08:05:45 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.0-beta1
2019-04-10 08:05:57 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-04-10 08:05:58 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-04-10 08:05:58 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-04-10 08:05:59 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-04-10 08:05:59 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-04-10 08:06:17 UTC/bin/sh -c apk add --no-cache git openssh-client
2019-04-10 09:41:40 UTC
65.9 MB
test
DOCKER_VERSION19.03.0-beta1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:6f37394be673296a0fdc21b819c5df40431baf7d3af121bee451726dd1457493 - 3.89% (2.56 MB)
[#001] sha256:624d8cd5989279cea7781d46cf9e54248dc5914b85a54e5f3dda694c3dc0aec4 - 0.44% (295 KB)
[#002] sha256:ecff0f4f34353de2916477d55f845eedaf0354998b8a77494fb80ae3c6c3aa36 - 0.0% (154 Bytes)
[#003] sha256:dcd73d6408b08aa7e9bb1fad9de193228172967c0351c369fa83bdf34150a82e - 81.88% (53.9 MB)
[#004] sha256:251c842c895e6e8d2daecb8887c66b8ffe801277f86d56c6feeed1d2c4e61bbd - 0.0% (542 Bytes)
[#005] sha256:09621443b753ec61e7e3372db641c74352fbf2cf1b7c5b6363c28fb41df228fc - 0.0% (738 Bytes)
[#006] sha256:61c191b05ee564c4794ecaf6fa5ed2e3837e3ca3f7ae23b769cef39e2007ab75 - 13.79% (9.08 MB)
/bin/sh -c #(nop) ADD file:30e0a8ccdca70b20b8ce637f0ba5108157f4ba491447d20aafbe45d82392bd81 in /
2019-04-10 08:49:12 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-04-10 08:49:19 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-04-10 08:49:34 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-04-10 09:40:33 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-04-10 09:40:34 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.0-beta1
2019-04-10 09:40:50 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-04-10 09:40:51 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-04-10 09:40:51 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-04-10 09:40:52 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-04-10 09:40:53 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-04-10 09:41:40 UTC/bin/sh -c apk add --no-cache git openssh-client
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.